0

I get error even after including jmeter-plugins-webdriver-1.1.3.jar in JMeter, While clicking on jp@gc firefox driver config it still shows me the error dialog box as mentioned below

Error in using webdriver plugin in jmeter

Please suggest me some options in order to use selenium webdriver with jmeter.

1

It looks like that you're missing Selenium libraries in JMeter classpath.

If you drop JMeterPlugins-WebDriver-1.1.3.zip to the folder where your JMeter lives and just unpack it - everything should be fine.

JMeter restart is required to load the jars.

See Using Selenium with JMeter's WebDriver Sampler guide for more details.

  • thanks Dmitri, can you send some other links to download it. I am getting 404 error with that link. – Emmanuel Angelo.R May 6 '14 at 12:15
  • Hi Emmanuel. It works for me. Can you open jmeter-plugins.org/downloads/all and select JMeterPlugins-WebDriver-1.1.3.zip ? – Dmitri T May 6 '14 at 12:41
  • sorry to say, in my office they have blocked the downloads which has more than 10 mb. – Emmanuel Angelo.R May 6 '14 at 13:32
1

your jmeter-plugins-webdriver-1.1.3.jar needs to be located in folder lib/ext

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.